﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="mdi_with_ajax.aspx.vb" Inherits="mdi_with_ajax" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Scriptmanager1" runat="server" />
    <%--a button to open via JS, your three parameters are hardcoded--%>
    <asp:Button ID="Button1" Text="open a new one on the client" OnClientClick="openNewWindow('http://www.telerik.com/', 'telerik', 'telerikWnd'); return false;"
        runat="server" />

        <%--an ajax request to get an url from the server, it actually injects a script to call the above function--%>
    <asp:UpdatePanel ID="Updatepanel1" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:Button ID="Button2" Text="open from the server" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>

    <%--declarations for the tabstrip and windowmanager taken from the online demo--%>
    <telerik:RadTabStrip OnClientTabSelected="OnClientTabSelected" ID="RadTabStrip1"
        ScrollChildren="true" ScrollButtonsPosition="Middle" Width="730" CssClass="taskbar"
        Orientation="HorizontalBottom" runat="server" Skin="Web20">
        <Tabs>
            <telerik:RadTab Style="display: none;" />
        </Tabs>
    </telerik:RadTabStrip>
    <telerik:RadWindowManager ShowOnTopWhenMaximized="false" Skin="Web20" Width="590"
        Height="360" OnClientActivate="OnClientActivate" OnClientClose="OnClientClose"
        Behaviors="Close,Maximize,Minimize,Move,Reload,Resize" OnClientCommand="OnClientCommand"
        ID="RadWindowManager" RestrictionZoneID="RestrictionZone" runat="server" EnableShadow="true">
    </telerik:RadWindowManager>
    <script type="text/javascript">
            // <![CDATA[

        var manager = null;
        var tabStrip = null;

        function pageLoad()
        {
            //get a reference to the needed controls - 
            manager = $find("<%=RadWindowManager.ClientID %>");
            tabStrip = $find("<%=RadTabStrip1.ClientID %>");
        }

        //opening the window
        function openNewWindow(pUrl, pTitle, pName)
        {

            //this is your code, the function receives your parameters
            var oWnd = radopen(pUrl, pName);
            oWnd.center();
            oWnd.set_title(pTitle);
            oWnd.Argument[95] = "P";


            //removed as it is related to the demo where we have a RadMenu in place
            //            var item = args.get_item();
            //            var itemUrl = item.get_value();
            //            var itemText = item.get_text();
            //            if (itemUrl)
            //            {
            //                var windowURL = itemUrl;
            //                var oWnd = radopen(itemUrl, null);
            //                oWnd.set_title(itemText);
            //                oWnd.center();
            tabStrip.trackChanges();
            //create a new tab
            var tab = new Telerik.Web.UI.RadTab();

            //set the text of the tab
            //according to the arguments received
            tab.set_text(pName);
            oWnd.correspondingTab = tab;
            //add the tab to the tabstrip
            tabStrip.get_tabs().add(tab);
            tabStrip.repaint();
            tab.correspondingWnd = oWnd;

            //removed as in this simple example I do not have an URL for the image
            //                tab.set_imageUrl(item.get_imageUrl());
            tabStrip.commitChanges();

            //Select this tab
            tab.select();
            //            }
        }


        //the below code is taken as-is from the demo

        function OnClientCommand(sender, args)
        {
            //because we don't want to show the minimized RadWindow, we hide it after minimizing
            //and raise the _Maximized flag (used in OnClientTabSelected)
            if (args.get_commandName() == "Minimize")
            {
                if (sender.isMaximized())
                {
                    sender._Maximized = true;
                }

                sender.hide();
                //raise the _toMinimize flag (used in OnClientActivate)
                sender._toMinimize = true;
                var tab = sender.correspondingTab;
                if (tab)
                {
                    tab.set_selected(false);
                }
            }
        }

        function OnClientTabSelected(sender, args)
        {
            //get a reference to the corresponding window
            var win = args.get_tab().correspondingWnd;

            if (!win) return;

            if (!win.isVisible())
            {
                win.show();
                win.restore();
                //if the window was maximized before client minimizes it, we need to restore
                //its maximized state
                if (win._Maximized)
                {
                    win.maximize();
                    win._Maximized = null;
                }

            }

            //ensure that the currently active RadWindow will have the highest z-Index.
            var popupElem = win.get_popupElement();
            var oldZindex = parseInt(popupElem.style.zIndex);
            var styleZIndex = win.get_stylezindex();
            var newZIndex = (styleZIndex) ? styleZIndex : Telerik.Web.UI.RadWindowUtils.get_newZindex(oldZindex);
            popupElem.style.zIndex = "" + newZIndex;
            win.setActive(true);



        }

        function OnClientActivate(sender, args)
        {
            var tab = sender.correspondingTab;
            if (tab && !sender._toMinimize)
            {
                tab.set_selected(true);
            }
            sender._toMinimize = false;
        }
        function OnClientClose(oWnd)
        {

            //remove the corresponding tab from the tabstrip
            var tab = oWnd.correspondingTab;
            if (tab)
            {
                tabStrip.trackChanges();
                tabStrip.get_tabs().remove(tab);
                tabStrip.commitChanges();
            }
        }
            // ]]>

    </script>
    </form>
</body>
</html>
